Skip to main content
PATCH
Update scheduled task

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

scheduledTaskId
string
required

Scheduled task id from list_scheduled_tasks.

Required string length: 1 - 64

Body

application/json
title
string
Required string length: 1 - 200
prompt
string

What the agent should do on every run, written like a task for the agent.

Required string length: 1 - 20000
cron
string

Five-field cron in the organization's timezone (returned as timezone). Supported shapes: hourly 'M * * * *', daily 'M H * * *', weekdays 'M H * * 1-5', weekly 'M H * * D' (D 0-6, 0 = Sunday), monthly 'M H DOM * *' (DOM 1-31). Example: '0 9 * * 1-5' is 09:00 every weekday.

Required string length: 9 - 100
workspaceId
string

Move the task to this workspace (from list_workspaces).

Required string length: 1 - 64
agentId
string

Run the task with this agent (from list_agents).

Required string length: 1 - 64

Response

Success

The response is of type object.